Bug 17331 - (AudioParamUnits): AudioParam.units undefined
(AudioParamUnits): AudioParam.units undefined
Status: CLOSED FIXED
Product: AudioWG - OBSOLETE - Moved to Github
Classification: Unclassified
Component: Web Audio API - OBSOLETE - See Github
unspecified
PC All
: P2 normal
: TBD
Assigned To: This bug has no owner yet - up for the taking
This bug has no owner yet - up for the taking
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 11:22 UTC by Philip Jägenstedt
Modified: 2012-07-09 09:16 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Jägenstedt 2012-06-05 11:22:48 UTC
Audio-ISSUE-35 (AudioParamUnits): AudioParam.units undefined [Web Audio API]

http://www.w3.org/2011/audio/track/issues/35

Raised by: Philip Jägenstedt
On product: Web Audio API

It looks like this was intended to be an enumeration, but it has not been defined. What value should be returned and what is the use case?
Comment 1 Chris Rogers 2012-06-14 00:52:17 UTC
This has been removed in:
https://dvcs.w3.org/hg/audio/rev/d1fb69113f02

For now, at least, it seems better to leave this out, since the use case is not clear
Comment 2 Philip Jägenstedt 2012-06-18 12:37:58 UTC
We obviously agree with the removal, but lots of unrelated changes are included in the diff. Are those in need of review, and in the context of what bug?
Comment 3 Olivier Thereaux 2012-07-03 07:47:40 UTC
(In reply to comment #2)
> We obviously agree with the removal, but lots of unrelated changes are included
> in the diff. Are those in need of review, and in the context of what bug?

The other changes seem to be mostly examples and clarifications, so probably uncontroversial. 

Back to the topic of AudioParam.units - Chris, could you give details as to why that bit has been removed? Philip seemed to disagree with it (though not enough to reopen the bug with a counter proposal) and I'd like at least for the rationale to be documented.

Thanks.
Comment 4 Chris Rogers 2012-07-03 20:30:25 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > We obviously agree with the removal, but lots of unrelated changes are included
> > in the diff. Are those in need of review, and in the context of what bug?
> 
> The other changes seem to be mostly examples and clarifications, so probably
> uncontroversial. 
> 
> Back to the topic of AudioParam.units - Chris, could you give details as to why
> that bit has been removed? Philip seemed to disagree with it (though not enough
> to reopen the bug with a counter proposal) and I'd like at least for the
> rationale to be documented.
> 
> Thanks.

Up to this point, the "units" attribute has really just been a stub with no real implementation, and we haven't yet defined different unit types yet (such as frequency, cents, etc.).  So this is just a simplification which should not impact any content out in the field.  So far, we've seen no urgent need, but if we later decide that this is important, then we can add it back in, defining the precise types.
Comment 5 Marcus Geelnard (Opera) 2012-07-09 08:53:28 UTC
(In reply to comment #3)
> Back to the topic of AudioParam.units - Chris, could you give details as to why
> that bit has been removed? Philip seemed to disagree with it

Just to clarify: we (me and Philip) think it's a good idea to remove AudioParam.units.
Comment 6 Olivier Thereaux 2012-07-09 09:16:36 UTC
(In reply to comment #5)
> Just to clarify: we (me and Philip) think it's a good idea to remove
> AudioParam.units.

Thanks for the clarification Marcus. I see no reason to keep this issue open, then.

[CLOSED]